NodeRings Docs

List Payments

ListPayments lists payments for an invoice or organization

GET
/v1/payments
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

invoiceId?string
status?string
Value in"PAYMENT_STATUS_UNSPECIFIED" | "PAYMENT_STATUS_PENDING" | "PAYMENT_STATUS_PROCESSING" | "PAYMENT_STATUS_SUCCEEDED" | "PAYMENT_STATUS_FAILED" | "PAYMENT_STATUS_CANCELED" | "PAYMENT_STATUS_REFUNDED" | "PAYMENT_STATUS_PARTIALLY_REFUNDED"
page?integer
Formatint32
pageSize?integer
Formatint32

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/payments?invoiceId&status&page&pageSize" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "payments": [
    {
      "id": "string",
      "invoiceId": "string",
      "paymentMethodId": "string",
      "paymentStatus": "PAYMENT_STATUS_UNSPECIFIED",
      "amount": "string",
      "currency": "string",
      "transactionId": "string",
      "paymentProvider": "string",
      "failureReason": "string",
      "failureCode": "string",
      "processedAt": "2019-08-24T14:15:22Z",
      "refundAmount": "string",
      "refundReason": "string",
      "refundedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0
}